<?php


if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['pdf'])) {
    if(isset($_POST['project_name']) && isset($_POST['work_name']) && isset($_POST['visit_name'])) {
        $project_name = $_POST['project_name'];
        $work_name = $_POST['work_name'];
        $visit_name = $_POST['visit_name'];
        
        // Directorio base donde se guardarán las imágenes
        $base_dir = "uploads/evidencia/";
    
        // Rutas completas para las carpetas
        $project_dir = $base_dir . $project_name . "/";
        $work_dir = $project_dir . $work_name . "/";
        $visit_dir = $work_dir . $visit_name . "/";
    
        // Verificar y crear las carpetas si no existen
        if (!file_exists($project_dir)) {
            mkdir($project_dir, 0777, true);
        }
        if (!file_exists($work_dir)) {
            mkdir($work_dir, 0777, true);
        }
        if (!file_exists($visit_dir)) {
            mkdir($visit_dir, 0777, true);
        }
    
        $target_file = $visit_dir . basename($_FILES["pdf"]["name"]);
        $pdfFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    
        // Verificar si el archivo es un PDF
        if ($pdfFileType === 'pdf') {
            // Mover el archivo subido
            if (move_uploaded_file($_FILES["pdf"]["tmp_name"], $target_file)) {
                echo 1;
            } else {
                echo -2;
            }
        } else {
            echo -2;
        }
    } else {
        echo -3; // Error: No se proporcionaron nombres de proyecto, obra y visita.
    }
}
?>